GET /taxa
inaturalist.org:inaturalist-api
Summary: Search Taxa
Operation ID: searchTaxa
Auth: unknown
Operation ID: searchTaxa
Auth: unknown
Description
Search for taxa (species, genera, families, etc.) by name or ID.
Parameters (11)
iconic_taxa
(string, query, optional)
Filter by iconic taxon group
is_active
(boolean, query, optional)
Filter by active status (true/false)
only_id
(boolean, query, optional)
Return only ID field (true/false)
order
(string, query, optional, default: desc)
Sort order (asc/desc)
order_by
(string, query, optional)
Sort field (default is created_at)
page
(integer, query, optional, default: 1)
Page number
per_page
(integer, query, optional, default: 30)
Results per page (1-200)
Constraints: {'maximum': 200}
q
(string, query, optional)
Search query (common or scientific name)
rank
(string, query, optional)
Filter by taxonomic rank (species, genus, family, etc.)
rank_level
(integer, query, optional)
Filter by rank level
taxon_id
(string, query, optional)
Filter by specific taxon ID(s), comma-separated
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for monarch butterfly by name | curl |
https://api.inaturalist.org/v1/taxa?q=Danaus+plexippus&per_page=5&is_active=true |
|
| Find species within a genus | curl |
https://api.inaturalist.org/v1/taxa?parent_id=48662&rank=species&per_page=10&order_by=observations_count&order=desc |
|
| Get specific taxa by ID with all names | curl |
https://api.inaturalist.org/v1/taxa?id=47157,47201&all_names=true&locale=es |
|
| Taxon Search | probe-gate |
https://api.inaturalist.org/v1/taxa?per_page=30 |
|
| Search Taxa | probe-gate |
https://api.inaturalist.org/v1/taxa?order=desc&per_page=30&page=1 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:36:41.334721 | 200 | 708ms | |
| 2026-03-23 10:32:16.321513 | 200 | 718ms | |
| 2026-03-23 09:46:37.831619 | 200 | 759ms | |
| 2026-03-23 09:40:19.991747 | 200 | 775ms | |
| 2026-03-22T07:31:58.755243 | 200 | 792ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:40:19.991747 | 830f05525211 |
8c563d32b2df |
| 2026-03-23 09:46:37.831619 | 8c563d32b2df |
d3e56db05e99 |
| 2026-03-23 10:32:16.321513 | d3e56db05e99 |
7a9a7ffeb340 |
| 2026-03-23 10:36:41.334721 | 7a9a7ffeb340 |
bd3162a6d120 |